Bug 80508 - swedish keyboard option (se-latin1) missing
swedish keyboard option (se-latin1) missing
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rhpl (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Mike McLean
:
Depends On:
Blocks: 79578
  Show dependency treegraph
 
Reported: 2002-12-27 09:51 EST by Daniel Resare
Modified: 2008-01-17 12:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-28 17:53:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Resare 2002-12-27 09:51:55 EST
Description of problem:

When i boot from floopy and start text mode installation (installing from cd
images on hard disk) i get a meny where I can select keyboard layout fairly
early on. It seeems like lots of keyboard layouts that used to be there is
missing, notably the se-latin1 layout.

Fortunately the fi-latin1 is itentical so I choose that one instead. I suppose
some descriptive full text names should be better like 'Finnish, Swedish and
English' instead of their cryptic friends se-latin1 and the like..

Version-Release number of selected component (if applicable):
phoebe bootdisk.img md5: 0572f7bb2a2e61474f8027ac258dd26d

How reproducible:
at least once :)


Steps to Reproduce:
1. boot floopy
2. select hard disk install method
3. try to select keyboard se-latin1
    
Additional info:

Why can't I have a graphical install without burning my cd-images?
Comment 1 Daniel Resare 2002-12-27 17:31:09 EST
After some investigation it seems like the problem is that the data in the
modelDict in /usr/lib/python2.2/site-packages/rhpl/keyboard_models.py is out of
sync with the names of the keyboard layout maps as distributed in kbd-1.08-2.
For the "Swedish" entry for example "se-latin1" should be replaced with "se-fi-lat6"
Comment 2 Bill Nottingham 2002-12-31 23:19:34 EST
Not sv-latin1?
Comment 3 Daniel Resare 2003-01-01 13:54:06 EST
Oddly enough no. In redhat-7.3 for example the console-tools package contains
the file /lib/kbd/keymaps/i386/qwerty/se-latin1.kmap.gz with the swedish keymap.
Comment 4 Brent Fox 2003-01-10 11:23:41 EST
Ok, here's the change that I made.  I hope it's correct as I have no idea which
Swedish keymap is which.


[bfox@bfox src]$ cvs diff keyboard_models.py
Index: keyboard_models.py
===================================================================
RCS file: /usr/local/CVS/rhpl/src/keyboard_models.py,v
retrieving revision 1.20
diff -u -r1.20 keyboard_models.py
--- keyboard_models.py  3 Jan 2003 20:22:03 -0000       1.20
+++ keyboard_models.py  10 Jan 2003 16:00:44 -0000
@@ -79,7 +79,7 @@
 'ru_win'             : [_('Russian (win)'), 'ru', 'pc105', ''           ],
 'speakup'            : [_('Speakup'), 'us', 'pc105', ''                 ],
 'speakup-lt'         : [_('Speakup (laptop)'), 'us', 'pc105', ''        ],
-'se-latin1'          : [_('Swedish'), 'se', 'pc105', ''                 ],
+'se-fi-lat6'         : [_('Swedish'), 'se', 'pc105', ''                 ],
 'sg'                 : [_('Swiss German'), 'de_CH', 'pc105', ''         ],
 'sg-latin1'          : [_('Swiss German (latin1)'), 'de_CH', 'pc105', ''],
 'sk-qwerty'          : [_('Slovakian'), 'sk_qwerty', 'pc105', ''        ],


Should be fixed in rhpl-0.74-2.  Thanks for your report.  QA, please verify.
Comment 5 Jay Turner 2003-01-21 10:35:01 EST
OK, I can confirm that the change is present in the latest Rawhide packages, but
I can't confirm that the change is correct.  Can the reporter take a look at
this please?
Comment 6 Daniel Resare 2003-01-21 17:25:46 EST
Further invstigation and testing shows that notting was right. The correct
keymap for the swedish keyboard should be 'sv-latin1'.

The kbd package seems to have changed standard from using the codes for country
(in our case 'se') to use the language instead (sv). In many (most) countries
they are the same, but not sweden/swedish.
Comment 7 Daniel Resare 2003-01-25 14:58:54 EST
Note that the changing from se-latin1 to sv-latin1 filed as
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=80391

If that bug resolves into changing back to se-latin1 (which IMHO is the sensible
thing to do) rhpl needs to be changed back also... :/
Comment 8 Brent Fox 2003-02-03 15:15:59 EST
Please help me to understand the issues here.  

1) Is sv-latin1 the correct Swedish console keymap that I should make the list
from rhpl point to?

2) Are there some issues that are keeping sv-latin1 from working properly?  (bug
#80391)?

I just want to make sure that the table in rhpl is pointing to the correct
console keymap.  If there are problems with that keymap, then the kbd maintainer
needs to track down the problem.  I am unable to judge whether sv-latin1 is
behaving properly or not.
Comment 9 Brent Fox 2003-02-06 00:43:44 EST
ping anybody?  I could use some help here.
Comment 10 Daniel Resare 2003-02-06 04:01:52 EST
Sorry for the delay.

1) sv-latin1 is currently the best console keymap for swedish keyboards. It has
some (dead-key related) bugs compared to the se-latin1 keymap in rhl-7.3 but I
suppose those are UTF-8 related. However, all normal Swedish characters
including å, ä and ö works. This situation is much better then
se-fi-lat6, for which does not work for the above mentioned special Swedish chars.

2) bug #80391 only discusses the renaming of se-latin1 to sv-latin1, which IMHO
is wrong. Until kbd renames it back to it's old name, the new name should be
used in rhpl.

A working keymap with the wrong name is always better than a non-working keymap,
so please change se-fi-lat6 to sv-latin1.
Comment 11 Brent Fox 2003-02-06 11:51:55 EST
Ok, thanks.  I've changed the keyboard table from:

'se-fi-lat6'     : [_('Swedish'), 'se', 'pc105', '', ''                        
        ],

to:

'sv-latin1'      : [_('Swedish'), 'se', 'pc105', '', '' ],

This change should appear in rhpl-0.86-1.  I think I can close this report now.
 I'm on the cc list for bug #80391, so if kbd renames the sv-latin1 to something
else, I'll come back and make the necessary changes to the table again.

QA, please verify.
Comment 12 Kjartan Maraas 2003-02-07 09:01:20 EST
Just to add more confusion here :-)

I think the se-fi-latin* stuff is supposed to cover the sami locale which is
used in norway, sweden, finland by an etnic minority living in this region... :-)
Comment 13 Bill Nottingham 2003-07-28 17:53:13 EDT
Closing some bugs that have been in MODIFIED for a while. Please reopen if the
problem persists.

Note You need to log in before you can comment on or make changes to this bug.